# From 4.1 to 4.2
*Make sure you view this [upgrade guide from the `master` branch](../../../master/doc/update/4.1-to-4.2.md) for the most up to date instructions.*

## 1. Stop server & Resque

    sudo service gitlab stop

## 2. Update code & DB

```bash

#Set the working directory
cd /home/gitlab/gitlab/

# Get latest code
sudo -u gitlab -H git fetch

sudo -u gitlab -H git checkout 4-2-stable

# The Modernizr gem was yanked from RubyGems. It is required for GitLab >= 2.8.0
# Edit `Gemfile` and change `gem "modernizr", "2.5.3"` to
# `gem "modernizr-rails", "2.7.1"``
sudo -u gitlab -H vim Gemfile

# Run a bundle install without deployment to generate the new Gemfile
sudo -u gitlab -H bundle install --without development test postgres --no-deployment

# Install libs (with deployment this time)
sudo -u gitlab -H bundle install --without development test postgres --deployment

# update db
sudo -u gitlab -H bundle exec rake db:migrate RAILS_ENV=production

```

## 3. Check GitLab's status

```bash
sudo -u gitlab -H bundle exec rake gitlab:check RAILS_ENV=production
```

## 4. Start all

    sudo service gitlab start
